Name:          libgit2_17
Version:       1.7.2
Release:       2mamba
Summary:       A portable, pure C implementation of the Git core methods provided as a re-entrant linkable library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libgit2.org/
Source:        https://github.com/libgit2/libgit2.git/v%{version}/libgit2-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcre-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
libgit2 is a portable, pure C implementation of the Git core methods provided as a re-entrant linkable library with a solid API, allowing you to write native speed custom Git applications in any language with bindings.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Networking
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Tools provided with %{name}.

%debug_package

%prep
%setup -q -n libgit2-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgit2.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/git2.h
%dir %{_includedir}/git2
%{_includedir}/git2/*.h
%dir %{_includedir}/git2/sys
%{_includedir}/git2/sys/*.h
%{_libdir}/libgit2.so
%{_libdir}/pkgconfig/libgit2.pc
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/git2

%changelog
* Thu May 02 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-2mamba
- legacy package

* Wed Feb 07 2024 Automatic Build System <autodist@openmamba.org> 1.7.2-1mamba
- automatic version update by autodist

* Tue Aug 15 2023 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Wed Jul 19 2023 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2023 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic version update by autodist

* Tue Mar 21 2023 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Sat Jan 21 2023 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Fri Jul 15 2022 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2022 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Sun Feb 27 2022 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue Sep 28 2021 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Fri Sep 03 2021 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Thu Jul 01 2021 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Thu Oct 29 2020 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Fri Jun 05 2020 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Apr 15 2020 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sat Mar 07 2020 Automatic Build System <autodist@mambasoft.it> 0.99.0-1mamba
- automatic version update by autodist

* Wed Dec 11 2019 Automatic Build System <autodist@mambasoft.it> 0.28.4-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Automatic Build System <autodist@mambasoft.it> 0.28.3-1mamba
- automatic version update by autodist

* Fri Jun 21 2019 Automatic Build System <autodist@mambasoft.it> 0.28.2-1mamba
- automatic version update by autodist

* Sun Feb 03 2019 Automatic Build System <autodist@mambasoft.it> 0.27.8-1mamba
- automatic version update by autodist

* Mon Nov 05 2018 Automatic Build System <autodist@mambasoft.it> 0.27.7-1mamba
- automatic version update by autodist

* Sat Oct 13 2018 Automatic Build System <autodist@mambasoft.it> 0.27.5-1mamba
- automatic version update by autodist

* Sat Sep 15 2018 Automatic Build System <autodist@mambasoft.it> 0.27.4-1mamba
- automatic version update by autodist

* Wed Jul 04 2018 Automatic Build System <autodist@mambasoft.it> 0.27.2-1mamba
- automatic version update by autodist

* Fri Apr 13 2018 Automatic Build System <autodist@mambasoft.it> 0.27.0-1mamba
- automatic version update by autodist

* Mon Mar 19 2018 Automatic Build System <autodist@mambasoft.it> 0.26.3-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 0.26.0-1mamba
- automatic version update by autodist

* Fri Jul 07 2017 Automatic Build System <autodist@mambasoft.it> 0.25.1-1mamba
- automatic version update by autodist

* Sat Jan 14 2017 Automatic Build System <autodist@mambasoft.it> 0.24.6-1mamba
- automatic version update by autodist

* Tue Nov 15 2016 Automatic Build System <autodist@mambasoft.it> 0.24.3-1mamba
- automatic version update by autodist

* Sun Oct 09 2016 Automatic Build System <autodist@mambasoft.it> 0.24.2-1mamba
- automatic version update by autodist

* Thu Apr 14 2016 Automatic Build System <autodist@mambasoft.it> 0.24.1-2mamba
- automatic version update by autodist

* Thu Apr 14 2016 Automatic Build System <autodist@mambasoft.it> 0.24.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 0.24.0-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23.4-1mamba
- package created using the webbuild interface
